Subject: bug#27019: closed (Re: bug#27019: [PATCH] doc: htmlxref: Fix link to Emacs-Guix manual.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 30 May 2017 15:32:02 +0000

Your bug report

#27019: [PATCH] doc: htmlxref: Fix link to Emacs-Guix manual.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27019: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27019
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27019: [PATCH] doc: htmlxref: Fix link to Emacs-Guix manual.
From: Alex Kost <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Tue, 30 May 2017 18:31:18 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès (2017-05-28 19:36 +0200) wrote:

> Alex Kost <[email-masked]> skribis:
>
>> From 42f6f4493bc1cde3f4854316f80875a6c13554ce Mon Sep 17 00:00:00 2001
>> From: Alex Kost <[email-masked]>
>> Date: Mon, 22 May 2017 18:06:21 +0300
>> Subject: [PATCH] doc: htmlxref: Fix link to Emacs-Guix manual.
>> MIME-Version: 1.0
>> Content-Type: text/plain; charset=UTF-8
>> Content-Transfer-Encoding: 8bit
>>
>> Reported-by: Ludovic Courtès <[email-masked]>
>>
>> This fixes a regression introduced by commit
>> 8ca0c88a894c685b624757e38ee7663534f03460.
>>
>> * doc/htmlxref.cnf (EMACS_GUIX): Fix the link to 'html_node'.
>
> Please push, thanks!
>
> I’ll try to regenerate the pages from ‘version-0.13.0’.

Committed, thanks!

-- 
Alex

Subject: [PATCH] doc: htmlxref: Fix link to Emacs-Guix manual.
From: Alex Kost <[email-masked]>
To: [email-masked]
Date: Mon, 22 May 2017 18:19:08 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic noticed that the link to Emacs-Guix manual on this page:

  https://www.gnu.org/software/guix/manual/html_node/Package-Management.html

points to 404.  Although the according link in "one page" Guix manual:

  https://www.gnu.org/software/guix/manual/guix.html

is OK.  I think the attached patch should fix it.  But I'm not sure
anymore :-)

>From 42f6f4493bc1cde3f4854316f80875a6c13554ce Mon Sep 17 00:00:00 2001
From: Alex Kost <[email-masked]>
Date: Mon, 22 May 2017 18:06:21 +0300
Subject: [PATCH] doc: htmlxref: Fix link to Emacs-Guix manual.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Reported-by: Ludovic Courtès <[email-masked]>

This fixes a regression introduced by commit
8ca0c88a894c685b624757e38ee7663534f03460.

* doc/htmlxref.cnf (EMACS_GUIX): Fix the link to 'html_node'.
---
 doc/htmlxref.cnf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/doc/htmlxref.cnf b/doc/htmlxref.cnf
index 78f427bd0..c1ce63649 100644
--- a/doc/htmlxref.cnf
+++ b/doc/htmlxref.cnf
@@ -221,7 +221,7 @@ easejs		node	${GS}/easejs/manual/
 
 EMACS_GUIX = https://alezost.github.io/guix.el/manual/latest
 emacs-guix	mono	${EMACS_GUIX}/emacs-guix.html
-emacs-guix	node	${EMACS_GUIX}/html_node/index.html
+emacs-guix	node	${EMACS_GUIX}/html_node/
 
 emacs-muse	node	${GS}/emacs-muse/manual/muse.html
 emacs-muse	node	${GS}/emacs-muse/manual/html_node/
-- 
2.13.0